// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
ng-container(*ngIf="action")
  label Action ID
  p {{ action.id }}

  label Full name
  p {{ action.name }}

  label Versions ({{ action.versions.length }})
  nz-select([formControl]="currentVersion", nzDropdownMatchSelectWidth=false)
    nz-option(*ngFor="let version of action.versions", [nzValue]="version.name", [nzLabel]="version.name")

  label Description
  p {{ action.description }}

  label Outputs
  nz-table([nzData]="action.outputs", #outputTable, nzSize="small", [nzHideOnSinglePage]="true")
    thead
      tr
        th Reference name
        th Display name
        th Type
        th Help
    tbody
      tr(*ngFor="let output of outputTable.data")
        td {{ output.technicalName }}
        td {{ output.name }}
        td {{ output.type }} {{ output.optional ? '(Optional)': '' }}
        td {{ output.help }}

  label Kind
  nz-tag {{ action.kind }}

  label Categories
  nz-tag(*ngFor="let cat of action.categories")
    | {{ cat.name }}

  label Resources
  nz-list
    nz-list-item
      span CPU
      | {{ action.resources.cpu ? action.resources.cpu : "No request" }}
    nz-list-item
      span Memory
      | {{ action.resources.memory ? action.resources.memory : "No request"}}
    nz-list-item
      span Time (before the action is killed)
      | {{ action.resources.time ? action.resources.time : "No request"}}
    nz-list-item
      span GPU
      | {{ action.resources.gpu ? action.resources.gpu : "No request"}}
